﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.3
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Public JsonList As List
	Public JsonGenerator As JSONGenerator
End Sub

Sub GetPersons As ResumableSub
	Dim JsonRow As Map = CreateMap("Action":"GetAllPersons")
	JsonList.Initialize
	JsonList.Add(JsonRow)
	
	JsonGenerator.Initialize2(JsonList)
	Dim JSONstring As String = JsonGenerator.ToString
	
	Dim loginList As List
	loginList.Initialize
	
	Dim j As HttpJob
	j.Initialize("", Me)
	j.PostString(Main.Servername & Main.ScriptPath, JSONstring)
	Wait For (j) JobDone(j As HttpJob)
	Log(JSONstring)
	If j.Success Then
		Dim ReturnString As String = j.GetString
		If ReturnString.StartsWith("[") Then
		   Dim JsonParser As JSONParser
		   JsonParser.Initialize(ReturnString)
		   loginList=JsonParser.NextArray
		   Log(ReturnString)
		End If
		End If
	j.Release
	Return loginList
	
End Sub

Sub InsertNewPerson (JsonString As String) As ResumableSub
	Dim j As HttpJob
	j.Initialize("", Me)
	j.PostString(Main.Servername & Main.ScriptPath, JsonString)
	Wait For (j) JobDone(j As HttpJob)
	Log(j.GetString)
	Dim Result As String = j.GetString
	j.Release
	Return Result
End Sub

Sub UpdatePerson (JsonString As String) As ResumableSub
	Dim j As HttpJob
	j.Initialize("", Me)
	j.PostString(Main.Servername & Main.ScriptPath, JsonString)
	Wait For (j) JobDone(j As HttpJob)
	Log(j.GetString)
	Dim Result As String = j.GetString
	j.Release
	Return Result
End Sub

Sub DeletePerson (JsonString As String) As ResumableSub
	Dim j As HttpJob
	j.Initialize("", Me)
	j.PostString(Main.Servername & Main.ScriptPath, JsonString)
	Wait For (j) JobDone(j As HttpJob)
	Log(j.GetString)
	Dim Result As String = j.GetString
	j.Release
	Return Result
End Sub
